/* /////////////////////////////////////////////////////////////////////////////////////////////////

Author: PluginIdea
Email:sugamer8 @gmail.com
 Patreon:https://www.patreon.com/PluginIdea

©2022 PluginIdea, Inc.All rights reserved.

///////////////////////////////////////////////////////////////////////////////////////////////// */

using UnityEngine;using System.Collections.Generic;using System.Linq;namespace PluginIdea{    public class ColliderDrawModule : GZModuleBase    {        private List<Collider> allColliders = new List<Collider>();        private JSONStorableBool isDrawCollider;        private JSONStorableBool drawSphereCollider;        private JSONStorableBool drawboxCollider;        private JSONStorableBool drawcapsureCollider;        public ColliderDrawModule(GizmosSystem ower)        {            this.ower = ower;        }        public override void Init()        {            Utils.SetupSpacer(ower, 30, false);            Utils.SetupInfoTextNoScroll(this.ower, "<size=30><b>Genneric Collider</b></size>", 35, false);            isDrawCollider = Utils.SetupToggle(ower, "Is Draw Collider", false, false);                        drawboxCollider = Utils.SetupToggle(ower, "Is Draw Box Collider", true, false);                        RefreshView();        }        public void RefreshView()        {            allColliders = GameObject.FindObjectsOfType<Collider>().ToList();        }        public override void UnInit()        {        }        public override void OnPostRender()        {            if (!isDrawCollider.val) return;            base.OnPostRender();            if (allColliders.Count > 0)            {                allColliders.ForEach(c => {                    if (c is BoxCollider && drawboxCollider.val)                    {                        GizmosHelper.DrawBoxCollider(c as BoxCollider, Color.white);                    }                                                                                                                                                            });            }        }    }}